Bulk License Endpoint Mappings

Bulk License Endpoint Mappings
Bulk API to create and/or delete license-endpoint mappings

Bulk API to create and/or delete multiple license-endpoint mappings in a single request. This is an atomic API. If there is any error in one/more operation, the other operations will also fail.

Request
URI
POST
https://{api_host}/licensing/bulk-license-endpoint-mappings
COPY
Request Body

Bulk operations for creating or deleting mappings

BulkLicenseEndpointMapping of type(s) application/json
Required

Show optional properties

{
    "operations": [
        {
            "operation": "string",
            "mapping": {}
        }
    ]
}
{
    "operations": [
        {
            "operation": "CREATE",
            "mapping": {
                "license_id": "3DEC4C99-E9B9-4B88-B991-591C9CB2A51F",
                "endpoint_id": "ffddc3d9-ecaa-470a-9155-69cbc2783d87"
            }
        },
        {
            "operation": "DELETE",
            "mapping": {
                "id": "abcd-1234-efgh-5678-ijkl"
            }
        },
        {
            "operation": "CREATE",
            "mapping": {
                "license_id": "XXXX-YYYY-ZZZZ-1111",
                "endpoint_id": "aaaa-bbbb-cccc-dddd"
            }
        }
    ]
}
array of object
operations
Required

List of operations to perform.

Authentication
This operation uses the following authentication methods.
Responses
204

Bulk operations successfully completed.

Operation doesn't return any data structure

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"operations":["object"]}' https://{api_host}/licensing/bulk-license-endpoint-mappings